<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 *
 * @package    OSB
 * @category   Models
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Model_Auth_UserDefault extends Model_Auth_User {
	// Validation rules
	public function rules() {
		return array(
			'username' => array(
				array('not_empty'),
				array('min_length', array(':value', 4)),
				array('max_length', array(':value', 256)),
			),
			'email' => array(
				array('not_empty'),
				array('min_length', array(':value', 4)),
				array('max_length', array(':value', 127)),
				array('email'),
			),
		);
	}

	/**
	 * Complete our login
	 *
	 * For some database logins, we may not want to record the user last login
	 * details in the repository, so we just override that parent function
	 * here.
	 *
	 * We can also do some other post-login actions here.
	 */
	public function complete_login() {
		return $this->log('Logged In');
	}
}
?>
